Server changes
3 files changed, 3 insertions, 3 deletions
diff --git a/build.sh b/build.sh
index 000e6ea..483b3e8 100755
--- a/build.sh
+++ b/build.sh
@@ -19,7 +19,7 @@ if [ "${ROOT}" = "/" ]; then
[ -f "host/${CONFIG}/hooks/pre-rebuild.sh" ] && host/${CONFIG}/hooks/pre-rebuild.sh
[ ! -f "hardware-configuration.nix" ] && nixos-generate-config --show-hardware-config > hardware-configuration.nix
git add -f hardware-configuration.nix
- nom build $DERIVATION $EXTRA_NIX_FLAGS && nixos-rebuild test --flake .#${CONFIG} $EXTRA_NIX_FLAGS $EXTRA_NIXOS_REBUILD_FLAGS || exit 1
+ nom build $DERIVATION $EXTRA_NIX_FLAGS && nixos-rebuild switch --flake .#${CONFIG} $EXTRA_NIX_FLAGS $EXTRA_NIXOS_REBUILD_FLAGS || exit 1
#nixos-rebuild switch --flake ".#${CONFIG}" -j`nproc` --upgrade-all -L || exit 1
[ -f "host/${CONFIG}/hooks/post-rebuild.sh" ] && host/${CONFIG}/hooks/post-rebuild.sh
git rm --cached hardware-configuration.nix
diff --git a/flake.lock b/flake.lock
index 63a8d61..a3f7d84 100644
--- a/flake.lock
+++ b/flake.lock
@@ -1321,7 +1321,7 @@
},
"locked": {
"lastModified": 1737779835,
- "narHash": "sha256-TY7cnYqhgxIXZCltcFxYuKQ6Hpt3gouuYn0rj9URsp4=",
+ "narHash": "sha256-iZ/kQ/XFqIx053AuSHhCwu3HA8627ognYiJl/LRNpD0=",
"ref": "refs/heads/master",
"rev": "11cc65efa2909bdc7e3e978bf1f56f6d141bf82a",
"revCount": 11,
diff --git a/rebuild.sh b/rebuild.sh
index 0e02eab..51c3329 100755
--- a/rebuild.sh
+++ b/rebuild.sh
@@ -1,2 +1,2 @@
#!/usr/bin/env sh
-./build.sh / $HOSTNAME
\ No newline at end of file
+./build.sh / $HOSTNAME
|